Bug 251291 - iMation Pivot Flash 18410 isn't recognized as a storage device
iMation Pivot Flash 18410 isn't recognized as a storage device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 03:16 EDT by Eric Hopper
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.22.5-76.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 09:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2007-08-08 03:16:12 EDT
Description of problem:
Or, well, it sort of is, but not that has some sort of hiccup and it decides
that no, it should be a generic SCSI device instead.

Here is the syslog output:

Aug  8 00:07:21 bats kernel: usb 1-1: new full speed USB device using ohci_hcd
and address 10
Aug  8 00:07:21 bats kernel: usb 1-1: configuration #1 chosen from 1 choice
Aug  8 00:07:21 bats kernel: scsi11 : SCSI emulation for USB Mass Storage devices
Aug  8 00:07:26 bats kernel: scsi 11:0:0:0: Direct-Access     Imation   USB
Flash Drive 2.00 PQ: 0 ANSI: 2
Aug  8 00:07:34 bats kernel: not responding...
Aug  8 00:07:36 bats kernel: sd 11:0:0:0: [sdg] READ CAPACITY failed
Aug  8 00:07:36 bats kernel: sd 11:0:0:0: [sdg] Result: hostbyte=DID_OK
driverbyte=DRIVER_SENSE,SUGGEST_OK
Aug  8 00:07:36 bats kernel: sd 11:0:0:0: [sdg] Sense Key : Unit Attention
[current] 
Aug  8 00:07:36 bats kernel: sd 11:0:0:0: [sdg] Add. Sense: Not ready to ready
change, medium may have changed
Aug  8 00:07:36 bats kernel: sd 11:0:0:0: [sdg] Write Protect is off
Aug  8 00:07:36 bats kernel: sd 11:0:0:0: [sdg] Assuming drive cache: write through
Aug  8 00:07:36 bats kernel: sd 11:0:0:0: [sdg] Attached SCSI removable disk
Aug  8 00:07:36 bats kernel: sd 11:0:0:0: Attached scsi generic sg7 type 0

Version-Release number of selected component (if applicable):

2.6.22.1-41.fc7

How reproducible:

Every time

Steps to Reproduce:
1.Plug in device while tailing /var/log/messages

Actual results:
Messages in /var/log/messages indicating some kind of problem treating it as a
storage device.

Expected results:
Nautilus getting a message that it's been attached, automounting it and popping
a folder up on my screen.

Additional info:
It isn't the hardware.  The hardware functions fine on my Powerbook.
Comment 1 Eric Hopper 2007-08-08 03:18:11 EDT
Here is my systems lspci output:

00:06.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8111 PCI (rev 07)
00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-8111 LPC (rev 05)
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-8111 IDE (rev 03)
00:07.2 SMBus: Advanced Micro Devices [AMD] AMD-8111 SMBus 2.0 (rev 02)
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-8111 ACPI (rev 05)
00:07.5 Multimedia audio controller: Advanced Micro Devices [AMD] AMD-8111 AC97
Audio (rev 03)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge (rev 12)
00:0a.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
00:0b.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge (rev 12)
00:0b.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
00:19.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:19.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:19.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:19.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
02:09.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5703X Gigabit
Ethernet (rev 02)
03:00.0 USB Controller: Advanced Micro Devices [AMD] AMD-8111 USB (rev 0b)
03:00.1 USB Controller: Advanced Micro Devices [AMD] AMD-8111 USB (rev 0b)
03:0b.0 Mass storage controller: Silicon Image, Inc. SiI 3114
[SATALink/SATARaid] Serial ATA Controller (rev 02)
03:0c.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link)
04:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-8151 System Controller
(rev 14)
04:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8151 AGP Bridge (rev 14)
05:00.0 VGA compatible controller: nVidia Corporation NV40 [GeForce 6800 GT]
(rev a1)
Comment 2 Christopher Brown 2007-09-25 06:51:06 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Eric Hopper 2007-09-25 09:40:44 EDT
This was mysteriously fixed in a recent kernel.  :-)  So it can be closed. 
Thanks for reminding me.

Note You need to log in before you can comment on or make changes to this bug.